# Country Operational Note data

## Get all relevant operational notes at a country

<mark style="color:blue;">`GET`</mark> `https://api.aviowiki.com/countries/{isoCountryCode}/operationalnotes/all`

#### Path Parameters

| Name                                              | Type   | Description                            |
| ------------------------------------------------- | ------ | -------------------------------------- |
| isoCountryCode <mark style="color:red;">\*</mark> | String | 2-letter ISO country code (e.g., `UA`) |

#### Headers

| Name          | Type   | Description                              |
| ------------- | ------ | ---------------------------------------- |
| Authorization | String | An API Token using Bearer authorization. |

{% tabs %}
{% tab title="200: OK " %}
The detailed properties of the returned object can be found in the documentation of the [Country Operational Note](/data-models/operational-note/country-operational-note.md) data model.

**NOTE:** All `validFrom` and `validTo` values are returned in **local time**, based on the location of the operational note.

```json
[
  {
    "validFrom": "2025-05-23T18:12:38.844",
    "validTo": "2025-09-30T18:12:38",
    "source": "Country Authority",
    "criticality": "OPERATIONALLY_CRITICAL",
    "notes": "Airspace closed.",
    "category": "RESTRICTIONS",
    "affectedTraffic": null,
    "parent": {
      "iso2": "UA",
      "iso3": "UKR",
      "isoNumeric": 804,
      "name": "Ukraine",
      "officialName": null,
      "localIdentifierName": null
    },
    "aid": "ONC-JWWJ-1Y6H",
    "kind": "COUNTRY"
  }
]
```

{% endtab %}

{% tab title="403: Forbidden No API token was provided or it was invalid." %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aviowiki.com/authenticated-endpoints/operational-note-endpoints/country-operational-note-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
